set(srcs "src/auth.c" "src/wiegand.c" "src/wiegand_reader.c")

idf_component_register(SRCS "${srcs}"
                    INCLUDE_DIRS "include"
                    PRIV_INCLUDE_DIRS "src"
                    PRIV_REQUIRES nvs_flash driver esp_timer
                    REQUIRES esp_event esp_idf_lib_helpers evse ocpp)